Get kyc information
curl --request GET \
--url https://api.example.com/compliance/kyc \
--header 'ApiKey: <apikey>' \
--header 'Environment: <environment>' \
--header 'MerchantId: <merchantid>'import requests
url = "https://api.example.com/compliance/kyc"
headers = {
"ApiKey": "<apikey>",
"MerchantId": "<merchantid>",
"Environment": "<environment>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {ApiKey: '<apikey>', MerchantId: '<merchantid>', Environment: '<environment>'}
};
fetch('https://api.example.com/compliance/kyc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"status": 401,
"error": {
"type": "authorization_error",
"code": "wrong_credentials",
"message": "L'ID marchand et/ou la clé d'API sont incorrects."
}
}{
"type": "internal_error",
"code": [
"internal_error",
"wrong_credentials",
"not_granted",
"live_mode_not_granted",
"invalid_sandbox_msisdn",
"invalid_url",
"orange_invalid_url",
"wrong_provider",
"override_business_name",
"do_not_override_business_name"
],
"message": "An error occurred on our system. Please try again later."
}{
"status": 501,
"error": "Method not implemented"
}Compliance
Get kyc information
GET
/
compliance
/
kyc
Get kyc information
Headers
Your api key. To create a key, please get into our dashboard. If you don't have access to it, please reach the Support team.
Your merchant ID. This information is available in our dashboard. If you don't have access to it, please reach the Support team.
Allow you to choose between the sandbox mode to perform some tests or the live mode for real world transactions.
Available options:
live, sandbox Path Parameters
Query Parameters
The type of the transaction
Example:
"transfer"
The name of the destination provider
Example:
"orange"
The country of the transaction
Example:
"CI"
The destination type
Example:
"mobile money"
The identifier of the destination, mobile number or bank account number
Example:
"+22500000001"
Response
The response is of type object.
